Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.entity
Class ZipCode

    java.lang.Object
      com.gisgraphy.domain.geoloc.entity.ZipCode

    public class ZipCode

extends Object

Represents a `ZipCode`.

Author:
  David Masclet

Constructor Summary
`ZipCode()` /** Default Constructor
`ZipCode(String code)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCode()`
`GisFeature` | `getGisFeature()`
`Long` | `getId()` The datastore id
`int` | `hashCode()`
`void` | `setCode(String code)`
`void` | `setGisFeature(GisFeature gisFeature)`
`void` | `setId(Long id)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ZipCode

    public ZipCode()

  /** Default Constructor

### ZipCode

    public ZipCode(String code)

Parameters:
  `code` - the code of the zipcode (will be uppercased)

Method Detail

### getId

    public Long getId()

  The datastore id

  Returns:
    The datastore id, it is not a domain value, just a technical One

### setId

    public void setId(Long id)

  Parameters:
    `id` - the id to set

### getCode

    public String getCode()

  Returns:
    the code

### setCode

    public void setCode(String code)

  Parameters:
    `code` - the code to set, (will be uppercased)

### setGisFeature

    public void setGisFeature(GisFeature gisFeature)

  Parameters:
    `gisFeature` - the gisfeature of the zipcode

### getGisFeature

    public GisFeature getGisFeature()

  Returns:
    the gisFeature associated to this zip code

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.